<?php

namespace Restaurant\Invoice;

use User;

class Invoice
{
    /**
     * $invoice object.
     */
    protected $invoice;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\Invoice\Interfaces\InvoiceRepositoryInterface $invoice)
    {
        $this->invoice = $invoice;
    }

    /**
     * Returns count of invoice.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.invoice.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->invoice->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\InvoiceUserCriteria());
        }

        $invoice = $this->invoice->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('invoice::' . $view, compact('invoice'))->render();
    }
}
