<?php

namespace Restaurant\Invoice\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InvoiceTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Invoice\Models\Invoice $invoice)
    {
        return [
            'id'                => $invoice->getRouteKey(),
            'key'               => [
                'public'    => $invoice->getPublicKey(),
                'route'     => $invoice->getRouteKey(),
            ], 
            'name'              => $invoice->name,
            'price'             => $invoice->price,
            'description'       => $invoice->description,
            'restaurant_id'     => $invoice->restaurant_id,
            'date'              => $invoice->date,
            'deleted_at'        => $invoice->deleted_at,
            'user_id'           => $invoice->user_id,
            'user_type'         => $invoice->user_type,
            'PRIMARY'           => $invoice->PRIMARY,
            'url'               => [
                'public'    => trans_url('invoice/'.$invoice->getPublicKey()),
                'user'      => guard_url('invoice/invoice/'.$invoice->getRouteKey()),
            ], 
            'status'            => trans('app.'.$invoice->status),
            'created_at'        => format_date($invoice->created_at),
            'updated_at'        => format_date($invoice->updated_at),
        ];
    }
}